Subject: [bug#36469] [PATCH 0/2] 'guix pack' records environment variables

From: zimoun <[email-masked]>
Date: Tue, 2 Jul 2019 18:46:02 +0200

Hi,

That's awesome !

I have not tried the patch yet because I am not able to `git pull`
(issue with gnu.org NS and the network of my University, whatever!)
and my current version seems too old.

> The change for Singularity is similar.  I’ve tested it with an
> instance of Singularity 3.2.0.  Unfortunately, we still have 2.x
> in Guix and that doesn’t quite support the environment file, so I’ve
> chosen to punt on this one.

In `docker.scm` you replace %bootstrap-guile by guile-2.2, that's you
are talking about?
And now both `docker.scm` and `singularity.scm` are consistent to
guile-2.2 and there were not. :-)

Thank you again for the patch
simon